LVGROUP(3PVM)

NAME
pvm_lvgroup - Unenrolls the calling process from a named group.

SYNOPSIS
C	int info = pvm_lvgroup( char *group )
Fortran	call pvmflvgroup( group, info )

PARAMETERS

group
    Character string group name of an existing group.

info
    Integer status code returned by the routine. Values less than zero indicate an error.

DESCRIPTION
The routine pvm_lvgroup unenrolls the calling process from the group named group. If there is an error info will be negative.

If a process leaves a group by calling either pvm_lvgroup or pvm_exit, and later rejoins the same group, the process may be assigned a new instance number. Old instance numbers are reassigned to processes calling pvm_joingroup.

EXAMPLES
C:
	info = pvm_lvgroup( "worker" );

Fortran:
	CALL PVMFLVGROUP( 'group2', INFO )

ERRORS
These error conditions can be returned by pvm_lvgroup

PvmSysErr
    pvmd not responding.

PvmBadParam
    giving a NULL group name.

PvmNoGroup
    giving a non-existent group name.

PvmNotInGroup
    asking to leave a group you are not a member of.

SEE ALSO
pvm_joingroup(3PVM)